Skip to main content
GET
/
v1
/
containers
/
{id}
Get container info by ID
curl --request GET \
  --url https://console.gmicloud.ai/api/v1/containers/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://console.gmicloud.ai/api/v1/containers/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://console.gmicloud.ai/api/v1/containers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "reason": "<string>",
  "storages": [
    {
      "containerPath": "/workspace",
      "id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ],
  "idc": "<string>",
  "product": "<string>",
  "name": "LLM training",
  "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "eipAddress": "<string>",
  "eipId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "firewalls": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inboundIP": {
    "ipAddress": "<string>"
  },
  "modifiedAt": "2023-11-07T05:31:56Z",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "outboundIP": {
    "ipAddress": "<string>"
  },
  "publicIP": {
    "ipAddress": "<string>"
  },
  "args": [],
  "command": "",
  "envs": [
    {
      "name": "access_token",
      "value": "kalsk113=="
    }
  ],
  "ports": [],
  "sshKeyIdList": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

successful

reason
string
required

reason of container status

status
enum<string>
required
Available options:
unknown,
creating,
running,
terminating,
stopped,
error,
zombie
storages
object[]
required
Example:
[
{
"containerPath": "/workspace",
"id": "550e8400-e29b-41d4-a716-446655440000"
}
]
idc
string
required
Maximum string length: 50
Pattern: ^[a-zA-Z0-9._-]+$
product
string
required
Maximum string length: 256
Pattern: ^[a-zA-Z0-9._-]+$
name
string
required
Maximum string length: 255
Pattern: ^([A-Za-z0-9][A-Za-z0-9_\-. ]*)?[A-Za-z0-9]$
Example:

"LLM training"

templateId
string<uuid>
required

template id

createdAt
string<date-time>
eipAddress
string
eipId
string<uuid>
firewalls
string<uuid>[]
id
string<uuid>
inboundIP
object
modifiedAt
string<date-time>
orgId
string<uuid>
outboundIP
object
publicIP
object
args
string[]

Optional container command arguments

command
string
default:""

Optional container start command

envs
object[]
Example:
[
{
"name": "access_token",
"value": "kalsk113=="
}
]
ports
object[]
sshKeyIdList
string<uuid>[]

The list of SSH key IDs to use in the container